| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x

### - d -

- DatatypeError : XMLValid
- DatatypeQualUnsupported : XMLValid
- DatatypeValidationFailure : XMLValid
- DatatypeValidatorCreationError : XMLErrs
- DatatypeWithType : XMLValid
- DateTime : XMLNumber
- Day : XMLDateTime
- DeclarationNoSchemaLocation : XMLErrs
- DeclarationNotFound : XMLErrs
- DeclarationWithNameRef : XMLErrs
- Declared : XMLElementDecl
- DeclStringRep : XMLErrs
- DeclStringsInWrongOrder : XMLErrs
- DefAttTypes_Count : XMLAttDef
- DefAttTypes_Max : XMLAttDef
- DefAttTypes_Min : XMLAttDef
- DefAttTypes_Unknown : XMLAttDef
- Default : XMLAttDef
- DefaultEscape : XMLFormatter
- DefaultUnRep : XMLFormatter
- DERIVATION_EXTENSION : XSConstants
- DERIVATION_LIST : XSConstants
- DERIVATION_NONE : XSConstants
- DERIVATION_RESTRICTION : XSConstants
- DERIVATION_SUBSTITUTION : XSConstants
- DERIVATION_UNION : XSConstants
- dg_datetimes : XSValue
- dg_numerics : XSValue
- dg_strings : XSValue
- DisallowedBaseDerivation : XMLErrs
- DisallowedSimpleTypeExtension : XMLErrs
- DisplayErrorMessage : XMLErrs , XMLValid
- DOCUMENT_FRAGMENT_NODE : DOMNode
- DOCUMENT_NODE : DOMNode
- DOCUMENT_TYPE_NODE : DOMNode
- DoesNotMatchEnumList : XMLValid
- DOM_SEVERITY_ERROR : DOMError
- DOM_SEVERITY_FATAL_ERROR : DOMError
- DOM_SEVERITY_WARNING : DOMError
- DOMEXCEPTION_ERRX : XMLDOMMsg
- DOMLevel1Node : XMLErrs
- DOMRANGEEXCEPTION_ERRX : XMLDOMMsg
- DOMSTRING_SIZE_ERR : DOMException , XMLDOMMsg
- Double : XMLNumber
- DoubleFloatType_NaN : XSValue
- DoubleFloatType_NegINF : XSValue
- DoubleFloatType_Normal : XSValue
- DoubleFloatType_PosINF : XSValue
- DoubleFloatType_Zero : XSValue
- dt_anyURI : XSValue
- dt_base64Binary : XSValue
- dt_boolean : XSValue
- dt_byte : XSValue
- dt_date : XSValue
- dt_dateTime : XSValue
- dt_decimal : XSValue
- dt_double : XSValue
- dt_duration : XSValue
- dt_ENTITIES : XSValue
- dt_ENTITY : XSValue
- dt_float : XSValue
- dt_gDay : XSValue
- dt_gMonth : XSValue
- dt_gMonthDay : XSValue
- dt_gYear : XSValue
- dt_gYearMonth : XSValue
- dt_hexBinary : XSValue
- dt_ID : XSValue
- dt_IDREF : XSValue
- dt_IDREFS : XSValue
- dt_int : XSValue
- dt_integer : XSValue
- dt_language : XSValue
- dt_long : XSValue
- dt_MAXCOUNT : XSValue
- dt_Name : XSValue
- dt_NCName : XSValue
- dt_negativeInteger : XSValue
- dt_NMTOKEN : XSValue
- dt_NMTOKENS : XSValue
- dt_nonNegativeInteger : XSValue
- dt_nonPositiveInteger : XSValue
- dt_normalizedString : XSValue
- dt_NOTATION : XSValue
- dt_positiveInteger : XSValue
- dt_QName : XSValue
- dt_short : XSValue
- dt_string : XSValue
- dt_time : XSValue
- dt_token : XSValue
- dt_unsignedByte : XSValue
- dt_unsignedInt : XSValue
- dt_unsignedLong : XSValue
- dt_unsignedShort : XSValue
- DTD : XMLElementDecl
- DupAttrName : XMLErrs
- DuplicateAttInDerivation : XMLErrs
- DuplicateAttribute : XMLErrs
- DuplicateDocTypeDecl : XMLErrs
- DuplicateElementDeclaration : XMLErrs
- DuplicateFacet : XMLErrs
- DuplicateGlobalDeclaration : XMLErrs
- DuplicateGlobalType : XMLErrs
- DuplicateRefAttribute : XMLErrs

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.